Observability
Get tenant Observability query capabilities and scan budgets.
Get tenant Observability query capabilities and scan budgets. The request is scoped to the authenticated RevoEngine instance and operation policy.
GET
/
api
/
v1
/
observability
/
capabilities
Get tenant Observability query capabilities and scan budgets.
curl --request GET \
--url https://api.revoengine.com/api/v1/observability/capabilities \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/observability/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"anchorTypes": [
"<string>"
],
"quickWindowsSeconds": [
123
],
"defaultWindowSeconds": 123,
"maximumWindowSeconds": 123,
"maximumPageSize": 123,
"maximumBytesBilled": 123,
"maximumInvestigationBytes": 123,
"queryTimeoutMs": 123,
"services": [
"<string>"
],
"graphDepthLimited": true,
"retentionDays": 123
}Authorizations
Bearer JWT token or API Key (sk-*).
Response
200 - application/json
Diagnostic retention is distinct from Usage/billing retention.
Last modified on October 5, 2026
⌘I
Get tenant Observability query capabilities and scan budgets.
curl --request GET \
--url https://api.revoengine.com/api/v1/observability/capabilities \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/observability/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"anchorTypes": [
"<string>"
],
"quickWindowsSeconds": [
123
],
"defaultWindowSeconds": 123,
"maximumWindowSeconds": 123,
"maximumPageSize": 123,
"maximumBytesBilled": 123,
"maximumInvestigationBytes": 123,
"queryTimeoutMs": 123,
"services": [
"<string>"
],
"graphDepthLimited": true,
"retentionDays": 123
}
